import * as plugins from './webclient.plugins';

export class CsWebclient {
  webstore: plugins.webstore.WebStore;

  constructor() {
    this.webstore = new plugins.webstore.WebStore({
      dbName: 'consentsoftware',
      storeName: 'webclient'
    });
  }

  public async isCookieLevelSet(): Promise<boolean> {
    const result = await this.webstore.get('acceptedCookieLevels');
    return !!result;
  }

  public async setCookieLevels(cookieLevels ): Promise<boolean> {

  }
}